From a2728152c5879934a2de0708c4467bd754815d75 Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Thu, 11 Jun 2026 11:40:57 +0000
Subject: [PATCH] which: upgrade 2.23 -> 2.25

---
 ...opt-Fix-signature-of-getenv-function.patch |  2 +-
 .../{which-2.23 => which-2.25}/meson.build    |  0
 .../which/{which_2.23.bb => which_2.25.bb}    | 28 +++++++++++++++++--
 3 files changed, 26 insertions(+), 4 deletions(-)
 rename meta/recipes-extended/which/{which-2.23 => which-2.25}/0001-getopt-Fix-signature-of-getenv-function.patch (96%)
 rename meta/recipes-extended/which/{which-2.23 => which-2.25}/meson.build (100%)
 rename meta/recipes-extended/which/{which_2.23.bb => which_2.25.bb} (48%)

diff --git a/meta/recipes-extended/which/which-2.23/0001-getopt-Fix-signature-of-getenv-function.patch b/meta/recipes-extended/which/which-2.25/0001-getopt-Fix-signature-of-getenv-function.patch
similarity index 96%
rename from meta/recipes-extended/which/which-2.23/0001-getopt-Fix-signature-of-getenv-function.patch
rename to meta/recipes-extended/which/which-2.25/0001-getopt-Fix-signature-of-getenv-function.patch
index c54368a084..457d11fb44 100644
--- a/meta/recipes-extended/which/which-2.23/0001-getopt-Fix-signature-of-getenv-function.patch
+++ b/meta/recipes-extended/which/which-2.25/0001-getopt-Fix-signature-of-getenv-function.patch
@@ -1,4 +1,4 @@
-From 83d2ed3fd203868a8f287d2ebedc7c304c74fbb4 Mon Sep 17 00:00:00 2001
+From 3b823f4fbd3135c27287621ee3c315ae5975382d Mon Sep 17 00:00:00 2001
 From: Khem Raj <raj.khem@gmail.com>
 Date: Sat, 22 Mar 2025 17:56:19 -0700
 Subject: [PATCH] getopt: Fix signature of getenv function
diff --git a/meta/recipes-extended/which/which-2.23/meson.build b/meta/recipes-extended/which/which-2.25/meson.build
similarity index 100%
rename from meta/recipes-extended/which/which-2.23/meson.build
rename to meta/recipes-extended/which/which-2.25/meson.build
diff --git a/meta/recipes-extended/which/which_2.23.bb b/meta/recipes-extended/which/which_2.25.bb
similarity index 48%
rename from meta/recipes-extended/which/which_2.23.bb
rename to meta/recipes-extended/which/which_2.25.bb
index 0bbc3510d8..18ed9e6268 100644
--- a/meta/recipes-extended/which/which_2.23.bb
+++ b/meta/recipes-extended/which/which_2.25.bb
@@ -1,3 +1,24 @@
+# FIXME: the LIC_FILES_CHKSUM values have been updated by 'devtool upgrade'.
+# The following is the difference between the old and the new license text.
+# Please update the LICENSE value if needed, and summarize the changes in
+# the commit message via 'License-Update:' tag.
+# (example: 'License-Update: copyright years updated.')
+#
+# The changes:
+#
+# --- which.c
+# +++ which.c
+# @@ -1,6 +1,6 @@
+#  /*
+#   * which v2.x -- print full path of executables
+# - * Copyright (C) 1999, 2003, 2007, 2008  Carlo Wood <carlo@gnu.org>
+# + * Copyright (C) 1999, 2003, 2007, 2008, 2024, 2026  Carlo Wood <carlo@gnu.org>
+#   *
+#   * This program is free software: you can redistribute it and/or modify
+#   * it under the terms of the GNU General Public License as published by
+# 
+#
+
 SUMMARY = "Displays the full path of shell commands"
 DESCRIPTION = "Which is a utility that prints out the full path of the \
 executables that bash(1) would execute when the passed \
@@ -7,8 +28,9 @@ SECTION = "libs"
 HOMEPAGE = "https://carlowood.github.io/which/"
 
 LICENSE = "GPL-3.0-or-later"
-LIC_FILES_CHKSUM = "file://COPYING;md5=d32239bcb673463ab874e80d47fae504\
-                    file://which.c;beginline=1;endline=17;md5=a9963693af2272e7a8df6f231164e7a2"
+LIC_FILES_CHKSUM = "file://COPYING;md5=d32239bcb673463ab874e80d47fae504 \
+                    file://which.c;beginline=1;endline=17;md5=bcd173cbf5381e10d43be8d6ca6da3b5 \
+                    "
 
 inherit meson update-alternatives
 
@@ -17,7 +39,7 @@ SRC_URI = "${GNU_MIRROR}/which/which-${PV}.tar.gz \
            file://0001-getopt-Fix-signature-of-getenv-function.patch \
            "
 
-SRC_URI[sha256sum] = "a2c558226fc4d9e4ce331bd2fd3c3f17f955115d2c00e447618a4ef9978a2a73"
+SRC_URI[sha256sum] = "1cb83e4f702e60b8211ab5ec4c2afbab1b1dec80209456a7d2faf7584ed225ea"
 
 do_configure:prepend() {
        cp ${UNPACKDIR}/meson.build ${S}
-- 
2.47.1

